SSS_OBFUSCATE(8)

NAME
sss_obfuscate - verschleiert ein Klartextpasswort

SYNOPSIS

sss_obfuscate [Optionen] [PASSWORT]

BESCHREIBUNG

sss_obfuscate wandelt ein angegebenes Passwort in ein von Menschen nicht lesbares Format um und legt es in einem geeigneten Domain-Abschnitt der SSSD-Konfigurationsdatei ab.

Das Klartextpasswort wird von der Standardeingabe gelesen oder interaktiv eingegeben. Das verschleierte Passwort wird in den Parameter »ldap_default_authtok« einer angegebenen SSSD-Domain abgelegt und der Parameter »ldap_default_authtok_type« wird auf »obfuscated_password« gesetzt. Weitere Einzelheiten über diese Parameter finden Sie unter sssd-ldap(5).

Bitte beachten Sie, dass das Verschleiern von Passwörtern keinen wirklichen Sicherheitsgewinn bietet, da es einem Angreifer immer noch möglich ist, das Passwort wieder herzuleiten. Es wird dringend geraten, bessere Authentifizierungsmechanismen wie Client-seitige Zertifikate oder GSSAPI zu verwenden.

OPTIONEN

-h,--help
    zeigt den Hilfetext und beendet sich.

-s,--stdin
    Das Passwort, das verschleiert werden soll, wird von der Standardeingabe gelesen.

-d,--domain DOMAIN
    die SSSD-Domain, in der das Passwort benutzt wird. Der Standardname ist »default«.

-f,--file DATEI
    liest die durch den Positionsparameter angegebene Konfigurationsdatei.

    Voreinstellung: /etc/sssd/sssd.conf

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/